Package org.eclipse.core.commands

## Interface INamedHandleStateIds

All Known Subinterfaces:
  `IMenuStateIds`

    public interface INamedHandleStateIds

State identifiers that are understood by named handle objects that implement `IObjectWithState`.

Clients may implement or extend this class.

Since:
  3.2

### Field Summary

Fields
`static String` `DESCRIPTION` The state id used for overriding the description of a named handle object.
`static String` `NAME` The state id used for overriding the name of a named handle object.

### Field Detail

#### DESCRIPTION

    static final String DESCRIPTION

The state id used for overriding the description of a named handle object. This state's value must return a `String`.

See Also:
  Constant Field Values

#### NAME

    static final String NAME

The state id used for overriding the name of a named handle object. This state's value must return a `String`.

See Also:
  Constant Field Values